WordPress.org

Ready to get started?Download WordPress

Plugin Reviews

JW Player for Flash & HTML5 Video

The JW Player WordPress Plugin enables you to embed Flash and HTML5 audio and video, plus RTMP and YouTube streams, on your site using JW Player 6.

5 reviews
Average Rating
3.4 out of 5 stars
You are currently viewing the reviews that provided a rating of 3 stars. Click here to see all reviews.
Good!
By , for WP 3.7

I will give it a 4 once they would release the audio fix on mobiles. In which audio looks more like a video than an audio on mobiles.

works fine, but free version comes with a watermark
By , for WP 3.6.1

Free version comes with a big JW Player watermark, otherwise works ok.

Sweet product. Doesn't support captioning. Can't use it.
By , for WP 3.6.1

This is a gorgeous, gorgeous plugin; it works great for what it does; the interface melds seamlessly with the WordPress media interface. Even my most inexperienced users could probably manage using it successfully.

And I absolutely cannot use it, because it doesn't support closed captioning, which is non-negotiable for me, by law. (I run a site for a U.S. federal government research lab.)

If you have to have closed captioning (and really, if you're building sites for the general public and you don't want to slap deaf people in the face and tell them they're not welcome, you *should* use closed captioning -- it's a mensch thing, you know?), keep shopping. This one won't do it for you. Much to my endless, boundless regret. *sigh*

Won't play portrait MOV format (iPhone, iPad)
By , for WP 3.5

Title says it all. JW player can not handle iOS portrait movies and this 3yr old dev ticket doesn't seem to promising.

If you are expecting MOV uploads from anyone with an iPhone, iPad, or other iOS device I'd suggest using FV WordPress Flowplayer.

DO NOT upgrade to 1.6.1
By , for WP 3.4.2

I love the JW Plug-in for WordPress (4+ stars)....
But...
Extremely sluggish Page loads after you upgrade to 1.6.1.
I had to revert back to 1.6.0 after the automatic upgrade, and no problems at all.
Make sure you have a back-up of your previous plug-in before attempting.
FYI: so far WP 3.5 works fine with JW Plug-In 1.6.0.

You must log in to submit a review. You can also log in or register using the form near the top of this page.